List Billing Transactions

Top-ups, credit packages, promotions and other changes to your balance, newest first.

List the transactions that changed your balance, newest first.

GET /v1/account/billing_transactions

Query parameters

transaction_typestringoptional

Only return transactions of this type.

Allowed values:topuppackagepromotionperkrefundadjustmentusage
starting_atstringoptional

Only return transactions at or after this time (RFC 3339).

ending_atstringoptional

Only return transactions before this time (RFC 3339).

limitintegeroptionalDefault 20

Items per page, 1 to 1000.

after_idstringoptional

Return the page after this transaction ID (older transactions).

before_idstringoptional

Return the page before this transaction ID (newer transactions).

Response

dataBillingTransaction[]optional
has_morebooleanoptional

true when there are more transactions beyond this page.

first_idstring | nulloptional

ID of the first transaction on this page.

last_idstring | nulloptional

ID of the last transaction on this page.

Errors

StatusReason
400A filter value is invalid, limit is out of range, both after_id and before_id are set, or the cursor ID doesn't exist.